call spQuery_Lista_Sistema('','%');

DROP PROCEDURE IF EXISTS spQuery_Lista_Sistema;
CREATE PROCEDURE spQuery_Lista_Sistema(	
	varCodigo varchar(19),
  varNombre varchar(10)
)
BEGIN 
 if varCodigo = '' then
   	select id_sistema, nombre
    from _sys_sistema   
    where _estado='A'    
    and nombre like concat('%', varNombre, '%');
 else
    select id_sistema, nombre
    from _sys_sistema  
    where _estado='A'
    and id_sistema = varCodigo;
 end if;  
END;

